/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomEventException_H__
#define __GdomEventException_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomEventException GdomEventException;
typedef struct _GdomEventExceptionClass GdomEventExceptionClass;


#define GDOM_TYPE_EVENT_EXCEPTION            (gdom_event_exception_get_type())
#define GDOM_EVENT_EXCEPTION(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_EVENT_EXCEPTION, GdomEventException))
#define GDOM_EVENT_EXCEPTION_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_EVENT_EXCEPTION, GdomEventException)Class)
#define GDOM_IS_EVENT_EXCEPTION(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_EVENT_EXCEPTION))
#define GDOM_IS_EVENT_EXCEPTION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_EVENT_EXCEPTION))
#define GDOM_EVENT_EXCEPTION_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_EVENT_EXCEPTION, GdomEventExceptionClass))

typedef struct _GdomEventExceptionPrivate GdomEventExceptionPrivate;

struct _GdomEventException {
    GdomDOMObject parent_instance;
    GdomEventExceptionPrivate *priv;
};

struct _GdomEventExceptionClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_event_exception_get_type (void);

WEBKIT_API gchar *
gdom_event_exception_to_string (GdomEventException *thiz);

G_END_DECLS

#endif /* __GdomEventException_H__ */
